## groovy.util.slurpersupport
Class FilteredNodeChildren

author:
  John Wilson

Field Summary
`Closure` | `closure`

Constructor Summary
`FilteredNodeChildren(GPathResult parent, Closure closure, Map namespaceTagHints)`

Method Summary
`boolean` | `closureYieldsTrueForNode(Object childNode)`
`Iterator` | `iterator()`
`Iterator` | `nodeIterator()`

Constructor Detail

### FilteredNodeChildren

    public FilteredNodeChildren(GPathResult parent, Closure closure, Map namespaceTagHints)

Method Detail

### closureYieldsTrueForNode

    boolean closureYieldsTrueForNode(Object childNode)

### iterator

    public Iterator iterator()

### nodeIterator

    public Iterator nodeIterator()